AUPARSE_GET_SERIAL(3)

NAME
auparse_get_serial - get the event's serial number

SYNOPSIS
#include <auparse.h>

unsigned long auparse_get_serial(auparse_state_t *au);

DESCRIPTION
auparse_get_serial gets the serial number value from the current event's timestamp data structure.

RETURN VALUE
Returns 0 if an error occurs; otherwise, the serial number for the event.

SEE ALSO
auparse_get_timestamp(3), auparse_get_time(3), auparse_get_milli(3). auparse_get_node(3).

AUTHOR
Steve Grubb